require("lib.class")

Camera = class()

function Camera:_init()
  self.x = 0
  self.y = 0
  self.zoom = 1
  self.rotation = 0
  self.shake = 0
end

function Camera:Shake(amount)
  self.shake = self.shake + amount
end

function Camera:Update(x, y)
  self.x = -1024 / 4
  self.y = -768 / 4

  self.shake = self.shake * 0.9
  if self.shake < 1 then
    self.shake = 0
  end

  self.zoom = 2
end

function Camera:Use()
  love.graphics.push()
  love.graphics.scale(self.zoom, self.zoom)
  local sx = (math.random() - 0.5) * 2 * self.shake
  local sy = (math.random() - 0.5) * 2 * self.shake
  love.graphics.translate(math.floor(-self.x + sx), math.floor(-self.y + sy))
  love.graphics.rotate(self.rotation)
end

function Camera:Unuse()
  love.graphics.pop()
end
