function ApplyFilter(src, dest, filter)
  love.graphics.setShader(filter)
  love.graphics.setCanvas(dest)
  dest:clear(0, 0, 0, 0)
  love.graphics.draw(src)
  love.graphics.setShader()
  love.graphics.setCanvas()
end

function SetColor(r, g, b, a)
  if g ~= nil then
    love.graphics.setColor(r, g, b, a)
  else
    love.graphics.setColor(r)
  end
end

Color = Color or {
  White = {255, 255, 255, 255},
  Black = {0, 0, 0, 255},
  Red = {255, 0, 0, 255},
  Green = {0, 255, 0, 255},
  Blue = {0, 0, 255, 255},
  Gui = {52, 52, 52, 255},
  GuiBar = {42, 42, 42, 255},
  Healthbar = {150, 67, 67, 255},
  Powerbar = {67, 150, 67, 255},
}
